
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" exclude-result-prefixes="#all" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:csv="csv:csv" xmlns:pdts="pdts:pdts">

<xsl:strip-space elements="*"/>
<xsl:output name="text" method="text" indent="no" omit-xml-declaration="yes" encoding="UTF-8"/>





<xsl:template match="/"> <!-- Match the root -->
    <xsl:for-each select="AmsatList/Satellites">
        <xsl:variable name="code" select="@Code"/>
        <xsl:result-document href="SatellitePage/{NasaID}.txt" format="text">
           <xsl:apply-templates select="RadioData/Beacons"/>
		    <xsl:apply-templates select="RadioData/Transponders"/>
        </xsl:result-document>
    </xsl:for-each>
</xsl:template>


<xsl:template match="RadioData/Beacons">
    <xsl:text>[</xsl:text><xsl:value-of select="Name"/><xsl:text>]</xsl:text><xsl:text>&#xA;</xsl:text> 
	 <xsl:text>DOWN_LOW=</xsl:text> <xsl:value-of select='format-number(number(Frequency), "########")' /> <xsl:text>&#xA;</xsl:text> 
	
	
</xsl:template>

<xsl:template match="RadioData/Transponders">

 <xsl:text>[</xsl:text><xsl:value-of select="Name"/> <xsl:text> </xsl:text><xsl:apply-templates select="Mode"/> <xsl:text>]</xsl:text><xsl:text>&#xA;</xsl:text> 
    <xsl:text>UP_LOW=</xsl:text> <xsl:value-of select='format-number(number(FrequencyUplink/FrequencyBegin), "########")' />  <xsl:text>&#xA;</xsl:text> 
	<xsl:if test="FrequencyUplink/FrequencyEnd">
		<xsl:text>UP_HIGH=</xsl:text><xsl:value-of select='format-number(number(FrequencyUplink/FrequencyEnd), "########")' />  <xsl:text>&#xA;</xsl:text> 
	</xsl:if>
		
	<xsl:text>DOWN_LOW=</xsl:text> <xsl:value-of select='format-number(number(FrequencyDownlink/FrequencyBegin), "########")' />  <xsl:text>&#xA;</xsl:text> 
	<xsl:if test="FrequencyDownlink/FrequencyEnd">
		<xsl:text>DOWN_HIGH=</xsl:text> <xsl:value-of select='format-number(number(FrequencyDownlink/FrequencyEnd), "########")' />  <xsl:text>&#xA;</xsl:text> 		
	</xsl:if> 
	<xsl:if test="Inverted">
		<xsl:text>INVERT=</xsl:text><xsl:apply-templates select="Inverted"/> <xsl:text>&#xA;</xsl:text> 	
	</xsl:if>	
	<xsl:if test="Tone">
		<xsl:text>Tone=</xsl:text><xsl:apply-templates select="Tone"/> <xsl:text>&#xA;</xsl:text> 
	</xsl:if>		
</xsl:template>

</xsl:stylesheet>