<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:output method="html" encoding="UTF-8" name="html"/>
	<xsl:template match="/">
		<html>
			<head>
				<meta charset="utf-8"> </meta>
				<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> </meta>
				<!-- Global site tag (gtag.js) - Google Analytics -->
				<script  src="https://www.googletagmanager.com/gtag/js?id=UA-128629404-1" async="true" ></script>
				<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-128629404-1');
				</script>

				<title>AMSAT SATELLITE LIST</title>
				<meta name="description" content=""></meta>
				<meta name="viewport" content="width=device-width, initial-scale=1"></meta>
				<link rel="apple-touch-icon" href="apple-touch-icon.png"> </link>

				<link rel="stylesheet" href="./initializr/css/normalize.min.css"></link>
				<link rel="stylesheet" href="./initializr/css/main.css"></link>

				<script src="./initializr/js/vendor/modernizr-2.8.3-respond-1.4.2.min.js"></script>
			</head>

			<body bgcolor="#ffffff">

				<div class="header-container">
					<header class="wrapper clearfix">
						<h1 class="title">AMSAT SATELLITE LIST</h1>   
						<nav>
							<ul>
								<li><a href="../index.html">Home</a></li>
								<li><a href="../AMSATLIST_Doc.xhtml">Info</a></li> 
							</ul>
						</nav>
					</header>
				</div>
				<div class="main-container">
					<div class="main wrapper clearfix">
					
							<article>

							<h2>Satellites with information fulfilled</h2>
							<table class="platforms">
								<tr class="c0"> 
									<th>Info status</th><th>Nom</th><th>NasaID</th><th>Status</th>
								</tr>
								<xsl:for-each select="AmsatList/Satellites">
									<xsl:if test="SatelliteInformationStatus">

										<tr  class="c0">
											<td><xsl:apply-templates select="SatelliteInformationStatus"/> </td>
											<td> <a href="SatellitePage/UK/{NasaID}{Name}.html"><xsl:value-of select="Name"/></a></td>
											<td> <xsl:value-of select="NasaID"/></td>
											<td> <xsl:apply-templates select="Status"/> </td>
										</tr>
									</xsl:if>
								</xsl:for-each>

							</table>

							<h2>Satellites with 144 Mhz </h2>
							<table class="platforms">
								<tr class="c0"> 
									<th>Info status</th><th>Nom</th><th>NasaID</th><th>Status</th><th>Beacon Frequency</th>
								</tr>
								<xsl:for-each select="AmsatList/Satellites">
									<xsl:if test="RadioData/Beacons/Frequency  &lt; '146000000' and RadioData/Beacons/Frequency &gt; '140000000'">

										<tr  class="c0">
											<td><xsl:apply-templates select="SatelliteInformationStatus"/> </td>
											<td> <a href="SatellitePage/UK/{NasaID}{Name}.html"><xsl:value-of select="Name"/></a></td>
											<td> <xsl:value-of select="NasaID"/></td>
											<td> <xsl:apply-templates select="Status"/> </td>
											<td> <xsl:apply-templates select="RadioData/Beacons/Frequency"/> </td>
										</tr>
									</xsl:if>
								</xsl:for-each>

							</table>


							<h2>All satellites</h2>
							<table class="platforms">
								<tr class="c0"> 
									<th>Info status</th><th>Nom</th><th>NasaID</th><th>Status</th>
								</tr>
								<xsl:for-each select="AmsatList/Satellites">


									<tr  class="c0">
										<td><xsl:apply-templates select="SatelliteInformationStatus"/> </td>
										<td> <a href="SatellitePage/UK/{NasaID}{Name}.html"><xsl:value-of select="Name"/></a></td>
										<td> <xsl:value-of select="NasaID"/></td>
										<td> <xsl:apply-templates select="Status"/> </td>
									</tr>

								</xsl:for-each>
								<xsl:apply-templates select="AmsatList/Satellites"/>
							</table>
						</article>
						<!-- Liste sous forme de tableau des transpondeurs et des balises -->
						<article>
						
							<table class="platforms">
								<tr class="c0"> 
									<th>Name</th><th>Nasa ID</th><th>Status</th><th>Beacon Name</th><th>Frequency</th><th>Modes</th><th>CallSign</th> 
								</tr>
								<xsl:for-each select="AmsatList/Satellites">
								<!-- Balise  -->
						

										<xsl:if test="SatelliteInformationStatus">
											<xsl:if test="RadioData/Beacons">
												<tr  class="c0">
													<td> <a href="SatellitePage/UK/{NasaID}{Name}.html"><xsl:value-of select="Name"/></a></td>
													<td> <xsl:value-of select="NasaID"/></td>
													<td> <xsl:apply-templates select="Status"/></td>
													<td> <xsl:apply-templates select="RadioData/Beacons"/></td>
												</tr>
											</xsl:if>
										</xsl:if>
								</xsl:for-each>
							</table>
	 
							<!--
							<xsl:if test="(RadioData/Transponders)">
										<h3>Transponder</h3>

										<table class="platforms">
											<tr class="c0"> 
												<th>Transponder Name</th><th>Mode</th><th>Frequency Uplink</th><th>Frequency Downlink</th><th>Inverted</th><th>CTSS Tone</th>  
											</tr>

											<td> <xsl:apply-templates select="RadioData/Transponders"/></td>	
										</table>
								</xsl:if>


								</section>
									
									</xsl:if>
							-->
								
						</article>

					
					</div>
				</div>
				<div class="footer-container">
					<footer class="wrapper">
						<p><xsl:text> Information Description Status :   </xsl:text>  

							<xsl:text> Last Update :   </xsl:text> 

						</p>
					</footer>
				</div>


				<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>


				<script src="initializr/js/plugins.js"></script>
				<script src="initializr/js/main.js"></script>


			</body>



		</html>   

	</xsl:template>

	<xsl:template match="RadioData/Beacons/Frequency">
		<xsl:if test=".  &lt; '146000000' and . &gt; '140000000'">
			<xsl:value-of select='format-number(number(.), "###,###.##")' />  <xsl:text>  Hz  </xsl:text>
		</xsl:if>
	</xsl:template>

	<xsl:template match="Satellites">
		<xsl:result-document format="html" encoding="UTF-8" href="SatellitePage/UK/{NasaID}{Name}.html" >

			<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
			<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
			<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
			<!--[if gt IE 8]><!--> <html class="no-js" lang=""> <!--<![endif]-->


				<head>
					<!-- Global site tag (gtag.js) - Google Analytics -->
					<script async="true" src="https://www.googletagmanager.com/gtag/js?id=UA-128629404-1"></script>
					<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-128629404-1');
					</script>

					<meta charset="utf-8"> </meta>
					<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> </meta>
					<title><xsl:value-of select="./Name"/></title>
					<meta name="description" content=""></meta>
					<meta name="viewport" content="width=device-width, initial-scale=1"></meta>
					<link rel="apple-touch-icon" href="apple-touch-icon.png"> </link>

					<link rel="stylesheet" href="../../initializr/css/normalize.min.css"></link>
					<link rel="stylesheet" href="../../initializr/css/main.css"></link>

					<script src="../initializr/js/vendor/modernizr-2.8.3-respond-1.4.2.min.js"></script>



				</head>
				<body>
					<!--[if lt IE 8]>
            <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->

					<div class="header-container">
						<header class="wrapper clearfix">

							<img src="../../img/amsatf.jpg" alt="Texte remplaçant l&#39;image" title="Texte à afficher" align="left" />

							<h1 class="title"><xsl:value-of select="./Name"/> </h1>
							<nav>
								<ul>
									<li><a href="../../index.html">Home</a></li>
									<li><a href="../../AMSATLIST_Doc.xhtml">Info</a></li> 
								</ul>
							</nav>
						</header>
					</div>

					<div class="main-container">
						<div class="main wrapper clearfix">

							<article>
								<header>
									<h2>General information</h2>

									<li> <b>Nasa Identifier : </b>  <xsl:value-of select="./NasaID"/></li>
									<li> <b>Status : </b>  <xsl:value-of select="./Status"/></li>
									<xsl:if test="./OSCARNumber">
										<li> <b>Oscar Number : </b>  <xsl:value-of select="./OSCARNumber"/></li>
									</xsl:if>

								</header>

								<section class="LaunchData">
									<p><xsl:apply-templates select="LaunchData"/></p>
								</section>
								<section class="Information">
									<h2>Detailed Information</h2>
									<p><xsl:apply-templates select="Information"/></p>
								</section>
								<section class="RadioData">
									<h2>Radio</h2>
									<xsl:if test="RadioData/Beacons">
									<h3>Beacon</h3>

									<table class="platforms">
										<tr class="c0"> 
											<th>Beacon Name</th><th>Frequency</th><th>Modes</th><th>CallSign</th> 
										</tr>
										<tr class="c0"> 
										<td> <xsl:apply-templates select="RadioData/Beacons"/></td>
										</tr> 
									</table>
									</xsl:if>
									<xsl:if test="(RadioData/Transponders)">
										<h3>Transponder</h3>

										<table class="platforms">
											<tr class="c0"> 
												<th>Transponder Name</th><th>Mode</th><th>Frequency Uplink</th><th>Frequency Downlink</th><th>Inverted</th><th>CTSS Tone</th>  
											</tr>

											<td> <xsl:apply-templates select="RadioData/Transponders"/></td>	
										</table>
								</xsl:if>


								</section>
								<section class="Telemetry">
									<h2>TELEMETRY</h2>
									<p>
										<xsl:apply-templates select="TelemetryData"/>
									</p>

								</section>
							</article>


						</div> <!-- #main -->
					</div> <!-- #main-container -->

					<div class="footer-container">
						<footer class="wrapper">
							<p><xsl:text> Information Description Status :   </xsl:text>  
								<xsl:value-of select="./SatelliteInformationStatus"/> 
								<xsl:text> Last Update :   </xsl:text> 
								<xsl:value-of select="./UpdateDate"/> 
								<a href="http://www.amsat-f.org"> provided by Amsat-F</a>			  
							</p>
						</footer>
					</div>




					<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
					<script src="../initializr/js/plugins.js"></script><script src="initializr/js/main.js"></script>

				</body>
			</html>

		</xsl:result-document> 
	</xsl:template>   





	<xsl:template match="RadioData/Beacons">
		 
			<td> <xsl:value-of select="Name"/> </td>
			<td> <xsl:value-of select='format-number(number(Frequency) div 1000000, "###,###.###")' />  <xsl:text>  MHz  </xsl:text>   </td>
			<td>  <xsl:apply-templates select="Modes"/>  </td>
			<td> <xsl:value-of select="CallSign"/> </td>
	 
	</xsl:template>

	<xsl:template match="Modes">

		<xsl:apply-templates select="Mode"/> 
		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		<xsl:apply-templates select="Speed"/>  
		<br />
	</xsl:template>

	<!--

						<th>Transponder Name</th><th>Mode</th><th>Frequency Uplink</th><th>Frequency Downlink</th><th>Inverted</th><th>CTSS Tone</th>     
						
-->


	<xsl:template match="RadioData/Transponders">
		<tr  class="c0">

			<td> <xsl:value-of select="Name"/></td>
			<td>
				<xsl:apply-templates select="Mode"/> 
			</td>
			<td> <xsl:value-of select='format-number(number(FrequencyUplink/FrequencyBegin) div 1000000, "###,###.###")' />  <xsl:text>  MHz  </xsl:text> 
				<xsl:if test="FrequencyUplink/FrequencyEnd">

					<xsl:text> - </xsl:text> 
					<xsl:value-of select='format-number(number(FrequencyUplink/FrequencyEnd) div 1000000, "###,###.###")' />  <xsl:text>  MHz </xsl:text> 
				</xsl:if>	</td>

			<td> <xsl:value-of select='format-number(number(FrequencyDownlink/FrequencyBegin) div 1000000, "###,###.###")' />  <xsl:text>  MHz  </xsl:text> 
				<xsl:if test="FrequencyDownlink/FrequencyEnd">
					<xsl:text> - </xsl:text> 
					<xsl:value-of select='format-number(number(FrequencyDownlink/FrequencyEnd) div 1000000, "###,###.###")' />  <xsl:text>  MHz </xsl:text> 		
				</xsl:if> </td>
			<td>
				<xsl:if test="Inverted">
					<xsl:apply-templates select="Inverted"/>	
				</xsl:if>	
			</td>

			<td>
				<xsl:if test="Tone">
					<xsl:apply-templates select="Tone"/><xsl:text>  Hz </xsl:text> 	
				</xsl:if>	
			</td>	
		</tr>
	</xsl:template>


	<xsl:template match="LaunchData">
		<h2>Launch Information</h2>
		<li><b>Launch Date :</b> <xsl:value-of select="LaunchDate"/></li>
		<li><b>Site :</b> <xsl:value-of select="LaunchingSite"/></li>
	</xsl:template>

	<xsl:template match="Information">
<p>
		<xsl:text> Link :  </xsl:text> <a href="{./Value}"><xsl:value-of select="./Title"/></a>
		</p>
		<xsl:for-each select="Description">
			<xsl:choose>
				<xsl:when test="contains(current()/@lang,'EN')"> 
					<p>
						<xsl:value-of select="current()"/> <br/>
					</p>

				</xsl:when>
			</xsl:choose>

		</xsl:for-each>
	</xsl:template>
 

	<xsl:template match="TelemetryData">
	
	<xsl:if test="not(DescriptionURL/Title='')">
	<h3>Telemetry description</h3>
		<p><xsl:apply-templates select="DescriptionURL"/></p>
	</xsl:if>
	<xsl:if test="not(ReportURL/Value='')">
	<h3>Telemetry ReportURL</h3>
			<p><a href="{ReportURL/Value}"><xsl:value-of select="ReportURL/Title"/></a></p>
	</xsl:if>
	<xsl:if test="not(ReportEmail='')">
	<h3>Report Mail</h3>		
			<p> You can send your report to :  <a href="mailto:{ReportEmail}"><xsl:value-of select="ReportEmail"/></a></p>
			</xsl:if>
	<xsl:if test="not(SoftwareURL='')">
	<h3>Telemetry Software</h3>		
			<p><a href="{SoftwareURL}"><xsl:value-of select="SoftwareURL"/></a></p>
			</xsl:if>
</xsl:template>
	<xsl:template match="DescriptionURL">
		<p><a href="{./Value}"><xsl:value-of select="./Title"/></a></p>

	</xsl:template>

</xsl:stylesheet>   

